Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio
Class SSLServerIOEventDispatch

    java.lang.Object
      org.apache.http.impl.nio.SSLServerIOEventDispatch

All Implemented Interfaces:
  IOEventDispatch

Deprecated. (4.2) use `SSLServerIOEventDispatch`

    @Deprecated
    public class SSLServerIOEventDispatch

extends Object
implements IOEventDispatch

Default implementation of `IOEventDispatch` interface for SSL (encrypted) server-side HTTP connections.

Since:
  4.0

Field Summary
`protected NHttpServiceHandler` | `handler` Deprecated.
`protected HttpParams` | `params` Deprecated.
`protected SSLContext` | `sslcontext` Deprecated.
`protected SSLIOSessionHandler` | `sslHandler` Deprecated.

Fields inherited from interface org.apache.http.nio.reactor.IOEventDispatch
`CONNECTION_KEY`

Constructor Summary
`SSLServerIOEventDispatch(NHttpServiceHandler handler, SSLContext sslContext, HttpParams params)` Deprecated. Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler using the given `SSLContext`.
`SSLServerIOEventDispatch(NHttpServiceHandler handler, SSLContext sslContext, SSLIOSessionHandler sslHandler, HttpParams params)` Deprecated. Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler using the given `SSLContext`.

Method Summary
`void` | `connected(IOSession session)` Deprecated. Triggered after the given session has been just created.
`protected ByteBufferAllocator` | `createByteBufferAllocator()` Deprecated. Creates an instance of `HeapByteBufferAllocator` to be used by HTTP connections for allocating `ByteBuffer` objects.
`protected NHttpServerIOTarget` | `createConnection(IOSession session)` Deprecated. Creates an instance of `DefaultNHttpServerConnection` based on the given `IOSession`.
`protected HttpRequestFactory` | `createHttpRequestFactory()` Deprecated. Creates an instance of `DefaultHttpRequestFactory` to be used by HTTP connections for creating `HttpRequest` objects.
`protected SSLIOSession` | `createSSLIOSession(IOSession session, SSLContext sslContext, SSLIOSessionHandler sslHandler)` Deprecated. Creates an instance of `SSLIOSession` decorating the given `IOSession`.
`void` | `disconnected(IOSession session)` Deprecated. Triggered when the given session has been terminated.
`void` | `inputReady(IOSession session)` Deprecated. Triggered when the given session has input pending.
`void` | `outputReady(IOSession session)` Deprecated. Triggered when the given session is ready for output.
`void` | `timeout(IOSession session)` Deprecated. Triggered when the given session as timed out.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handler

    protected final NHttpServiceHandler handler

  Deprecated.

### sslcontext

    protected final SSLContext sslcontext

  Deprecated.

### sslHandler

    protected final SSLIOSessionHandler sslHandler

  Deprecated.

### params

    protected final HttpParams params

  Deprecated.

Constructor Detail

### SSLServerIOEventDispatch

    public SSLServerIOEventDispatch(NHttpServiceHandler handler,
                                    SSLContext sslContext,
                                    SSLIOSessionHandler sslHandler,
                                    HttpParams params)

  Deprecated.
  Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler using the given `SSLContext`. This I/O dispatcher will transparently handle SSL protocol aspects for HTTP connections.

  Parameters:
    `handler` - the server protocol handler.
    `sslContext` - the SSL context.
    `sslHandler` - the SSL handler.
    `params` - HTTP parameters.

### SSLServerIOEventDispatch

    public SSLServerIOEventDispatch(NHttpServiceHandler handler,
                                    SSLContext sslContext,
                                    HttpParams params)

  Deprecated.
  Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler using the given `SSLContext`. This I/O dispatcher will transparently handle SSL protocol aspects for HTTP connections.

  Parameters:
    `handler` - the server protocol handler.
    `sslContext` - the SSL context.
    `params` - HTTP parameters.

Method Detail

### createByteBufferAllocator

    protected ByteBufferAllocator createByteBufferAllocator()

  Deprecated.
  Creates an instance of `HeapByteBufferAllocator` to be used by HTTP connections for allocating `ByteBuffer` objects.

  This method can be overridden in a super class in order to provide a different implementation of the `ByteBufferAllocator` interface.

  Returns:
    byte buffer allocator.

### createHttpRequestFactory

    protected HttpRequestFactory createHttpRequestFactory()

  Deprecated.
  Creates an instance of `DefaultHttpRequestFactory` to be used by HTTP connections for creating `HttpRequest` objects.

  This method can be overridden in a super class in order to provide a different implementation of the `HttpRequestFactory` interface.

  Returns:
    HTTP request factory.

### createConnection

    protected NHttpServerIOTarget createConnection(IOSession session)

  Deprecated.
  Creates an instance of `DefaultNHttpServerConnection` based on the given `IOSession`.

  This method can be overridden in a super class in order to provide a different implementation of the `NHttpServerIOTarget` interface.

  Parameters:
    `session` - the underlying SSL I/O session.
  Returns:
    newly created HTTP connection.

### createSSLIOSession

    protected SSLIOSession createSSLIOSession(IOSession session,
                                              SSLContext sslContext,
                                              SSLIOSessionHandler sslHandler)

  Deprecated.
  Creates an instance of `SSLIOSession` decorating the given `IOSession`.

  This method can be overridden in a super class in order to provide a different implementation of SSL I/O session.

  Parameters:
    `session` - the underlying I/O session.
    `sslContext` - the SSL context.
    `sslHandler` - the SSL handler.
  Returns:
    newly created SSL I/O session.

### connected

    public void connected(IOSession session)

  Deprecated.
  Description copied from interface: `IOEventDispatch`
  Triggered after the given session has been just created.

  Specified by:
    `connected` in interface `IOEventDispatch`
  Parameters:
    `session` - the I/O session.

### disconnected

    public void disconnected(IOSession session)

  Deprecated.
  Description copied from interface: `IOEventDispatch`
  Triggered when the given session has been terminated.

  Specified by:
    `disconnected` in interface `IOEventDispatch`
  Parameters:
    `session` - the I/O session.

### inputReady

    public void inputReady(IOSession session)

  Deprecated.
  Description copied from interface: `IOEventDispatch`
  Triggered when the given session has input pending.

  Specified by:
    `inputReady` in interface `IOEventDispatch`
  Parameters:
    `session` - the I/O session.

### outputReady

    public void outputReady(IOSession session)

  Deprecated.
  Description copied from interface: `IOEventDispatch`
  Triggered when the given session is ready for output.

  Specified by:
    `outputReady` in interface `IOEventDispatch`
  Parameters:
    `session` - the I/O session.

### timeout

    public void timeout(IOSession session)

  Deprecated.
  Description copied from interface: `IOEventDispatch`
  Triggered when the given session as timed out.

  Specified by:
    `timeout` in interface `IOEventDispatch`
  Parameters:
    `session` - the I/O session.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.